%global momorel  2
%global xfce4ver 4.4.1

Name:		xfce4-dict-plugin
Version:	0.2.1
Release:	%{momorel}m%{?dist}
Summary:	A Xfce panel plugin to query a Dict server
Group:		User Interface/Desktops
License:	GPL
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	xfce4-panel-devel >= %{xfce4ver}
BuildRequires:	libxfcegui4-devel >= %{xfce4ver}
BuildRequires:	libxml2-devel, gettext, perl-XML-Parser
Requires:	xfce4-panel >= %{xfce4ver}

%description
With this plugin you can query a dictionary server (see RFC 2229) to search 
for the translation or explanation of a word. You can also choose a dictionary 
offered by the server to improve your search results.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/dict-icon.svg

%changelog
* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.1-2m)
- rebuild against xfce4 4.4.1

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.1-1m)
- import to Momonga from fc

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.1-1
- Update to 0.2.1 on Xfce 4.4.
- Update gtk-icon-cache scriptlets.

* Sun Nov 12 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-2
- Add %%defattr (#215169).

* Sat Nov 11 2006 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-1
- Update to 0.2.0.

* Sat Sep 23 2006 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-1
- Initial Fedora Extras version.
